
public abstract class Mazzo
{
	// instance variables 
	private Carta[] carta;
	private String tipo;


   public void creaMazzo(String unTipo, Carta[] leCarte)
   {
       tipo = unTipo;
       carta = leCarte;
   }
	
	public int numeroCarte()
	{ return carta.length; }
	
	public void mescola()
	{
	     for(int i = 0; i< carta.length; i++)
	     {
	          int k = (int) (Math.random() * carta.length);
	          Carta appo;
	          appo = carta[i];
	          carta[i] = carta[k];
	          carta[k] = appo;
	     }
         // another shuffle
	     for(int i = 0; i< carta.length; i++)
	     {
	          int k = (int) (Math.random() * carta.length);
	          Carta appo;
	          appo = carta[i];
	          carta[i] = carta[k];
	          carta[k] = appo;
	     }
    }
	
	
	public Carta prendiCarta(int posizione)
	{
	    return carta[posizione];   
    }	
}
